
QGIS Application - Bug report #148

Legend groups capture legend items

2006-06-18 12:27 AM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10207

Description

1. Add a couple of layers to qgis

 2. Create a legend group

 3. Drag and drop a layer into the legend group

 4. It is impossible to drag the layer back out of the legend group

Even if one drags a layer into the group, but doesn't drop the layer, it is still impossible to put the layer back outside of the group.

In summary - the legend group is greedy:)

History

#1 - 2006-06-26 10:34 AM - Marco Hugentobler

If a legend layer is inside a legend group, an item called 'make to toplevel item' appears in the right click menu. Clicking on this takes a legend layer out of a

group. 

Probably it would be more usuable to drag a layer out of a group, but it's a bit hard to define what that means. One possibility would be to take a legend

layer out of a group if it is dragged to the group in which it is contained. Maybe there are other possibilities?

Marco

#2 - 2006-07-12 02:36 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

With commit:863c74a3 (SVN r5587), it is now possible to swap layers in a group with toplevel layers (or to drag layers in a group directly into other

groups). I hope that this, together with the right click menu entry 'make to toplevel item', is sufficient.

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
